RDKit: RDKit::v1::TDTMolSupplier Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
RDKit::v1::TDTMolSupplier Class Reference

lazy file parser for TDT files More...

`#include <MolSupplier.v1API.h>`

Inheritance diagram for RDKit::v1::TDTMolSupplier:

## Public Types
using | ContainedType = v2::FileParsers::TDTMolSupplier

## Public Member Functions
| TDTMolSupplier (const std::string &fileName, const std::string &nameRecord="", int confId2D=-1, int confId3D=0, bool sanitize=true)
| TDTMolSupplier (std::istream *inStream, bool takeOwnership=true, const std::string &nameRecord="", int confId2D=-1, int confId3D=0, bool sanitize=true)
| TDTMolSupplier ()
void | setData (const std::string &text, const std::string &nameRecord="", int confId2D=-1, int confId3D=0, bool sanitize=true)
void | moveTo (unsigned int idx)
ROMol * | operator[] (unsigned int idx)
std::string | getItemText (unsigned int idx)
| returns the text block for a particular item
unsigned int | length ()
Public Member Functions inherited from RDKit::v1::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()
void | init ()
void | reset ()
bool | atEnd ()
ROMol * | next ()
virtual void | close ()

## Additional Inherited Members
Protected Attributes inherited from RDKit::v1::MolSupplier
std::unique_ptr< v2::FileParsers::MolSupplier > | dp_supplier

## Detailed Description

lazy file parser for TDT files

Definition at line 329 of file MolSupplier.v1API.h.

## Member Typedef Documentation

## ◆ ContainedType

using RDKit::v1::TDTMolSupplier::ContainedType = v2::FileParsers::TDTMolSupplier

Definition at line 342 of file MolSupplier.v1API.h.

## Constructor & Destructor Documentation

## ◆ TDTMolSupplier() [1/3]

RDKit::v1::TDTMolSupplier::TDTMolSupplier | ( | const std::string & | fileName,
|  | const std::string & | nameRecord = "",
|  | int | confId2D = -1,
|  | int | confId3D = 0,
|  | bool | sanitize = true )
| inlineexplicit

Parameters

  fileName | - the name of the TDT file
  nameRecord | - property name for the molecule name. If empty (the default), the name defaults to be empty
  confId2D | - if >=0 and 2D coordinates are provided, the 2D structure (depiction) in the input will be read into the corresponding conformer id.
  confId3D | - if >=0 and 3D coordinates are provided, the 3D structure (depiction) in the input will be read into the corresponding conformer id.
  sanitize | - if true sanitize the molecule before returning it

Definition at line 355 of file MolSupplier.v1API.h.

References RDKit::v2::FileParsers::TDTMolSupplierParams::confId2D, RDKit::v2::FileParsers::TDTMolSupplierParams::confId3D, RDKit::v1::MolSupplier::dp_supplier, RDKit::v2::FileParsers::TDTMolSupplierParams::nameRecord, RDKit::v2::FileParsers::TDTMolSupplierParams::parseParameters, and RDKit::v2::SmilesParse::SmilesParserParams::sanitize.

## ◆ TDTMolSupplier() [2/3]

RDKit::v1::TDTMolSupplier::TDTMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = true,
|  | const std::string & | nameRecord = "",
|  | int | confId2D = -1,
|  | int | confId3D = 0,
|  | bool | sanitize = true )
| inlineexplicit

Definition at line 365 of file MolSupplier.v1API.h.

References RDKit::v2::FileParsers::TDTMolSupplierParams::confId2D, RDKit::v2::FileParsers::TDTMolSupplierParams::confId3D, RDKit::v1::MolSupplier::dp_supplier, RDKit::v2::FileParsers::TDTMolSupplierParams::nameRecord, RDKit::v2::FileParsers::TDTMolSupplierParams::parseParameters, and RDKit::v2::SmilesParse::SmilesParserParams::sanitize.

## ◆ TDTMolSupplier() [3/3]

RDKit::v1::TDTMolSupplier::TDTMolSupplier | ( |  | ) |
| inline

Definition at line 376 of file MolSupplier.v1API.h.

References RDKit::v1::MolSupplier::dp_supplier.

## Member Function Documentation

## ◆ getItemText()

std::string RDKit::v1::TDTMolSupplier::getItemText | ( | unsigned int | idx | ) |
| inline

returns the text block for a particular item

Parameters

  idx | - which item to return

Definition at line 401 of file MolSupplier.v1API.h.

References RDKit::v1::MolSupplier::dp_supplier, and PRECONDITION.

## ◆ length()

unsigned int RDKit::v1::TDTMolSupplier::length | ( |  | ) |
| inline

Definition at line 405 of file MolSupplier.v1API.h.

References RDKit::v1::MolSupplier::dp_supplier, and PRECONDITION.

## ◆ moveTo()

void RDKit::v1::TDTMolSupplier::moveTo | ( | unsigned int | idx | ) |
| inline

Definition at line 387 of file MolSupplier.v1API.h.

References RDKit::v1::MolSupplier::dp_supplier, and PRECONDITION.

## ◆ operator[]()

ROMol * RDKit::v1::TDTMolSupplier::operator[] | ( | unsigned int | idx | ) |
| inline

Definition at line 391 of file MolSupplier.v1API.h.

References RDKit::v1::MolSupplier::dp_supplier, and PRECONDITION.

## ◆ setData()

void RDKit::v1::TDTMolSupplier::setData | ( | const std::string & | text,
|  | const std::string & | nameRecord = "",
|  | int | confId2D = -1,
|  | int | confId3D = 0,
|  | bool | sanitize = true )
| inline

Definition at line 377 of file MolSupplier.v1API.h.

References RDKit::v2::FileParsers::TDTMolSupplierParams::confId2D, RDKit::v2::FileParsers::TDTMolSupplierParams::confId3D, RDKit::v1::MolSupplier::dp_supplier, RDKit::v2::FileParsers::TDTMolSupplierParams::nameRecord, RDKit::v2::FileParsers::TDTMolSupplierParams::parseParameters, PRECONDITION, and RDKit::v2::SmilesParse::SmilesParserParams::sanitize.

The documentation for this class was generated from the following file:

- MolSupplier.v1API.h